Subject: Re: bug#41187: 28.0.50; Flipped text

From: Wasim Abbas <[email-masked]>
Date: Mon, 10 Aug 2020 12:40:31 +0100

No I can’t reproduce it with `emacs -Q`. I did mention when I started the issue "I haven’t tried with emacs -Q yet but happy to try if required.” But never did try this.

I thought since drawing buffers and rendering is such a core thing to emacs I wasn’t sure it will be anything else (like a package) but looks like it could be? Would you now think it's something to do with any package?

Is the standard disable each package one by one and see if it can be narrowed down to a single package the way to go forward now?

//Wasim

> On 9 Aug 2020, at 14:33, Alan Third <[email-masked]> wrote:
> 
> On Sun, Aug 09, 2020 at 10:50:23AM +0100, Wasim Abbas wrote:
>> Yes this is the text from the file I have opened.
>> 
>> I just did a quick test again today and I can reliably reproduce it.
>> This time however it's not just flipped but corrupt frame buffer as
>> it seems?
>> 
>> Here is what I have tried. Open up a longish C++ header file. Scroll
>> with mouse a few times. Nothing happened. Split the window
>> vertically and the scrolled a few more time rapidly. The corruption
>> started in that window only. Visited another buffer in that window
>> “messages” buffer you can see the flipped text there as well.
>> 
>> Visit the first window (is content was displayed correct so far, I
>> think because its not refreshed yet) and move cursor up and down 1
>> line at a time only that line is displayed wrong but also some other
>> corruptions in random places.
> 
> It sounds suspiciously like we're flipping the bitmap and not
> unflipping it, but I can't see how that happens.
> 
> Are you able to reproduce it with emacs -Q?
> -- 
> Alan Third